p {
    margin: 10px 0;
    text-align: center;
}
.loginform {
    padding-left: 176px;
}
.loginform2 {
    padding-left: 230px;
}
.loginform3 {
    padding-left: 230px;
}
.loginform4 {
    padding-left: 230px;
}
.loginform2 label {
    position: absolute;
    float: right;
    margin: 14px -50px;
}
.loginform3 label {
    position: absolute;
    float: right;
    margin: 14px -58px;
}
.loginform4 label {
    position: absolute;
    float: right;
    margin: 14px -175px;
}
.passform {
    padding-left: 167px;

}
.buttonform {
    text-align: center;
    padding-top: 10px;
}
.buttonform2 {
    text-align: center;
    padding-top: 10px;
    text-overflow: bold;
}
label {
    padding-right: 8px;
}
input, textarea {
    margin: 10px 0;
    padding: 12px 10px;
    border: unset;
    outline: none;
    width: auto;
    height: auto;
    border-radius: 16px;
}


.msg, .msg2 {
    border: 1px solid #b94040;
    border-radius: 30px;
    padding: 10px 30px;
    text-align: center;
    font-weight: bold;
    margin: 8px auto 0px;
    width: fit-content;
}
.none {
    display: none;
}


.logout {
    color: #b7625c;
}
.login-btn, .register-btn {
  display: block;
  padding: 10px;
  color: #ffffff;
  background-color: #2d3d659e;
  border: 1px solid var(--border);
  cursor: pointer;
  max-width: 400px;
  min-width: 150px;
  height: 40px;
  border-radius: 16px;
  font-family: SFProDisplay-Regular;
  font-size: 16px;
  margin: 0px auto;
  transition: all 0.2s ease;
}
.login-btn:hover {
  background-color: var(--color-button-hover);
}
.register-btn:hover {
  background-color: var(--color-button-hover);
}

.frame {
  width: 100%;
  background-size: cover;
  margin-left: auto;
  margin-right: auto;
  border-radius: 5px;
  overflow: hidden;
  transition: all .5s ease;
}
.frame_mail {
  width: 80%;
  margin: auto;
  display: grid;
  gap: 30px;
}
.frame-long {
  height: fit-content;
}

.frame-short {
  height: 400px;
  margin-top: 50px;
  box-shadow: 0px 2px 7px rgba(0,0,0,0.1);
}

.nav2 {
  width: 100%;
  height: 40px;
  margin-top: 40px;
  opacity: 1;
  transition: all .5s ease;
}

.nav2-up {
  transform: translateY(-100px);
  opacity: 0;
}



.signup-inactive a {
  cursor: pointer;
  color: rgba(255,255,255,.3);
  text-decoration: none;
  transition: all .25s ease;
  padding: 6px 12px;
}
.signin-active a {
    padding: 6px 12px;
    color: #ffffff;
    text-decoration: none;
    border-bottom: solid 3px #728dc9;
    transition: all .25s ease;
    cursor: pointer;
  }
  .signin-inactive a {
    color: rgba(255,255,255,.3);
    background: none;
    text-decoration: none;
    border-bottom: none;
    cursor: pointer;
  }
  .signup-active a {
    cursor: pointer;
    color: #ffffff;
    text-decoration: none;
    border-bottom: solid 3px #728dc9;
    padding: 6px 12px;
  }

.form-signin {
    width: 420px;
    height: 308px;
    font-size: 16px;
    margin: 0 auto;
}

.form-signin-left {
  transform: translateX(-400px);
  opacity: .0;
  visibility: hidden;
}

.form-signup {
    visibility: hidden;
    margin: 0 auto;
  width: 430px;
  height: 375px;
	font-size: 16px;
	font-weight: 300;
  padding-left: 37px;
  padding-right: 37px;
  margin-top: 67px;
  position: relative;
  top: -375px;
  left: 400px;
  opacity: 0;
}

.form-signup-left {
  transform: translateX(-399px);
  opacity: 1;
  visibility: visible;
}

.form-signup-down {
  top: 0px;
  opacity: 0;
}

.success {
  width: 80%;
  height: 150px;
  text-align: center;
  position: relative;
  top: -890px;
  left: 450px;
  opacity: .0;
  transition: all .8s .4s ease;
}

.success-left {
  transform: translateX(-406px);
  opacity: 1;
}

.successtext {
  color: #ffffff;
	font-size: 16px;
	font-weight: 300;
  margin-top: -35px;
  padding-left: 37px;
  padding-right: 37px;
}

#check path {
    stroke: #ffffff;
    stroke-linecap:round;
    stroke-linejoin:round;
    stroke-width: .85px;
    stroke-dasharray: 60px 300px;
    stroke-dashoffset: -166px;
    fill: rgba(255,255,255,.0);
    transition: stroke-dashoffset 2s ease .5s, fill 1.5s ease 1.0s;
}

#check.checked path {
    stroke-dashoffset: 33px;
    fill: rgba(255,255,255,.03);
}

.form-signin input, .form-signup input, .form-report input, .form-report textarea {
  color: #ffffff;
  font-size: 16px;
}

.form-styling {
  width: 94%;
  background: none;
}

:focus {outline: none;
}

.auth_text {
  display: flex;
  background-color: var(--color-bg-accent);
  box-shadow: inset 0 0 2px #7ba4ff52;
  background: linear-gradient(1deg, #7ba4ff1f -120%, #7ba4ff0f 65%);
  align-items: center;
  width: 94%;
  padding-left: 15px;
  border-radius: 21px;
  margin-bottom: 20px;
  gap: 5px;
}
.auth_text i {
  color: #768abd;
}
.auth_text:focus-within {
    background: linear-gradient(1deg, #7ba4ff4d -120%, #7ba4ff14 65%);
    box-shadow: inset 0 0 2px #7ba4ffa3;
 }

.btn-signup {
  float: left;
  font-weight: 700;
  text-transform: uppercase;
  font-size: 13px;
  text-align: center;
  color: #ffffff;
  padding-top: 8px;
  width: 100%;
  height: 35px;
	border: none;
	border-radius: 20px;
  margin-top: 23px;
  background-color: #1059FF;
}

.btn-signin {
  float: left;
  padding-top: 8px;
  width: 100%;
  height: 35px;
	border: none;
	border-radius: 20px;
  margin-top: -8px;
}

.btn-animate {
  float: left;
  font-weight: 700;
  text-transform: uppercase;
  font-size: 13px;
  text-align: center;
  color: rgba(255,255,255, 1);
  padding-top: 8px;
  width: 100%;
  height: 35px;
	border: none;
	border-radius: 20px;
  margin-top: 23px;
  background-color: rgba(16,89,255, 1);
  left: 0px;
  top: 0px;
  transition: all .5s ease, top .5s ease .5s, height .5s ease .5s, background-color .5s ease .75s; 
}
.authul {
    width: fit-content;
    margin: 0 auto;
}
.auth {
    display: initial;
    margin-right: 20px;
}
.btn-animate-grow {
  width: 130%;
  height: 625px;
  position: relative;
  left: -55px;
  top: -420px;
  color: rgba(255,255,255,0);
  background-color: rgba(255,255,255,1);
}

a.btn-signup:hover, a.btn-signin:hover {
    cursor: pointer; 
    background-color: #0F4FE6;
    transition: background-color .5s; 
}

.forgot {
  height: 100px;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  padding-top: 24px;
  margin-top: -535px;
  border-top: solid 1px rgba(255,255,255,.3);
  transition: all 0.5s ease;
}

.forgot-left {
  transform: translateX(-400px);
  opacity: 0;
}

.forgot-fade {
  opacity: 0;
}

.forgot a {
  color: rgba(255,255,255,.3);
  font-weight: 400;
  font-size: 13px;
  text-decoration: none;
}

.welcome {
  width: 100%;
  height: 50px;
  position: relative;
  color: rgba(35,43,85,0.75);
  opacity: 0;
  transition: transform 1.5s ease .25s, opacity .1s ease 1s;
}

.welcome-left {
  transform: translateY(-780px);
  opacity: 1; 
}

.cover-photo {
  height: 150px;
  position: relative;
  left: 0px;  top: -900px;
  background:
    linear-gradient(
    rgba(35,43,85,0.75),
    rgba(35,43,85,0.95)),
    url(https://dl.dropboxusercontent.com/u/22006283/preview/codepen/landscape-nature-man-person.jpeg);
  background-size: cover;
  opacity: 0;
  transition: all 1.5s ease 0.55s;
}

.cover-photo-down {
  top: -575px;
  opacity: 1;
}

.profile-photo {
  height: 125px;
  width: 125px;
  position: relative;
  border-radius: 70px;
  left: 155px;
  top: -1000px;
  background: url(https://dl.dropboxusercontent.com/u/22006283/preview/codepen/nature-water-rocks-hiking.jpg);
  background-size: 100% 135%;
  background-position: 100% 100%;
  opacity: 0;
  transition: top 1.5s ease 0.35s, opacity .75s ease .5s;
  border: solid 3px #ffffff;
}

.profile-photo-down {
  top: -636px;
  opacity: 1;
}

h1 {
  color: #ffffff;
  font-size: 35px;
	font-weight: 300;
  text-align: center;
}

.btn-goback {
  position: relative;
  margin-right: auto;
  top: -400px;
  float: left;
  padding: 8px;
  width: 83%;
  margin-left: 37px;
  margin-right: 37px;
  height: 35px;
	border-radius: 20px;
  font-weight: 700;
  text-transform: uppercase;
  font-size: 13px;
  text-align: center;
  color: #1059FF;
  margin-top: -8px;
  border: solid 1px #1059FF;
  opacity: 0;
  transition: top 1.5s ease 0.35s, opacity .75s ease .5s;
}

.btn-goback-up {
  top: -1080px;
  opacity: 1;
}

a.btn-goback:hover {
    cursor: pointer; 
    background-color: #0F4FE6;
    transition: all .5s; 
    color: #ffffff;
}

#refresh {
    position: fixed;
    bottom: 20px;
    right: 20px; 
    background-color: #ffffff;
    width: 50px;
    height: 50px;
    border-radius: 25px;
    box-shadow: 0px 2px 7px rgba(0,0,0,0.1);
    padding: 13px 0 0 13px;
}

.refreshicon {
    fill: #d3d3d3;
    transform: rotate(0deg);
    transition: fill .25s ease, transform .25s ease;
}

.refreshicon:hover {
  cursor: pointer;
  fill: #1059FF;
  transform: rotate(180deg);
}
@media screen and (max-width: 800px) {
    .maincont {
        padding-right: 0;
    }
    .form-style {
            margin-right: 12px;
            height: 48px;
            width: 77%;
            font-size: 19px;
            line-height: 22px;
            padding-left: 10px;
    }
    .input-icon {
        position: unset;
            margin-top: 27px;
            margin-left: 20px;
            float: left;
            font-size: 32px;
            line-height: 0;
    }
    h6 {
        font-size: 20.5px;
    }
    .card-3d-wrap {
        margin: 0;
        margin-top: 40px;
    }
    .login-btn, .register-btn {
        height: auto;
        font-size: 15px;
    }
    .msg, .msg2 {
      width: fit-content;
    }
    .card-front, .card-back {
        height: 100%;
    }

}
@media screen and (max-width: 510px) {
    .form-signin, .form-signup-left {
        width: 85%;
    }
    .form-signup {
        padding-left: 0; 
        padding-right: 0;
    }
    .form-signin input, .form-signup input {
      font-size: 14px;
      margin: 8px 0;
    }
    
}
.error {
    box-shadow: none;
    background: linear-gradient(45deg, #b94040 -100%, transparent 60%);
}